## org.jboss.util
Class Scheduler.MBeanListener

    java.lang.Object
      |
      +--org.jboss.util.Scheduler.MBeanListener

All Implemented Interfaces:
  java.util.EventListener, javax.management.NotificationListener

Enclosing class:
  Scheduler

public class Scheduler.MBeanListener
extends java.lang.Object
implements javax.management.NotificationListener

Constructor Summary
`Scheduler.MBeanListener(javax.management.ObjectName pDelegate)`

Method Summary
`void` `handleNotification(javax.management.Notification pNotification, java.lang.Object pHandback)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scheduler.MBeanListener

    public Scheduler.MBeanListener(javax.management.ObjectName pDelegate)

Method Detail

### handleNotification

    public void handleNotification(javax.management.Notification pNotification,
                                   java.lang.Object pHandback)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

Copyright © 2000 The JBoss Organization. All Rights Reserved.